#import "../../Fragments/System.graphql"

#import "../../Fragments/Blocks/CardsGrid.graphql"
#import "../../Fragments/Blocks/Shortcuts.graphql"
#import "../../Fragments/Blocks/UspGrid.graphql"

#import "../../Fragments/CollectionPage/NavigationLinks.graphql"

query GetCollectionPage($locale: String!, $uid: String!) {
  collection_page(uid: $uid, locale: $locale) {
    hero_image
    title
    header {
      heading
      preamble
      ...NavigationLinks
    }
    blocks {
      __typename
      ...CardsGrid_CollectionPage
      ...Shortcuts_CollectionPage
      ...UspGrid_CollectionPage
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
}

query GetCollectionPageRefs($locale: String!, $uid: String!) {
  collection_page(locale: $locale, uid: $uid) {
    header {
      navigation_links {
        linkConnection {
          edges {
            node {
              __typename
              ...CollectionPageRef
              ...ContentPageRef
              ...HotelPageRef
              ...LoyaltyPageRef
            }
          }
        }
      }
    }
    blocks {
      __typename
      ...CardsGrid_CollectionPageRefs
      ...Shortcuts_CollectionPageRefs
      ...UspGrid_CollectionPageRefs
    }
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsCollectionPage($uid: String!) {
  de: collection_page(locale: "de", uid: $uid) {
    url
  }
  en: collection_page(locale: "en", uid: $uid) {
    url
  }
  da: collection_page(locale: "da", uid: $uid) {
    url
  }
}

query GetFiNoSvUrlsCollectionPage($uid: String!) {
  fi: collection_page(locale: "fi", uid: $uid) {
    url
  }
  no: collection_page(locale: "no", uid: $uid) {
    url
  }
  sv: collection_page(locale: "sv", uid: $uid) {
    url
  }
}
